## valkyrie 2.0.0

=== doc/xml/Makefile ===
# -*-Makefile-*-

# -------------------------------------------------------------------
# Makefile for building valkyrie's documentation
#/trunk/doc/*.html
#/trunk/doc/images/*.png
#/trunk/doc/xml/*.xml
#/trunk/doc/xml/lib/*.xsl, .css
# -------------------------------------------------------------------

top_dir   = ../../
html_dir  = ..
xml_dir   = .
img_dir   = $(html_dir)/images
lib_dir   = $(xml_dir)/lib

# manual -> index.xml
MANUAL    = $(xml_dir)/index.xml
# list of 'about' pages for about dialog
ABOUT_FILES = about_qt about_vk support about_gpl


# validation stuff
XMLLINT = xmllint
LINT_FLAGS  = --noout --xinclude --noblanks --postvalid
VALID_FLAGS = --dtdvalid http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd 
XMLLINT_FLAGS = $(LINT_FLAGS) $(VALID_FLAGS)

# stylesheet processor
XSLTPROC = xsltproc
# phoenix: the dtd is installed, so don't fetch over the net
XSLTPROC_FLAGS = --nonet --xinclude 

# catalog
XML_CATALOG_FILES = /etc/xml/catalog

# stylesheets
XSL_HTML_CHUNKED = $(lib_dir)/vk-html-chunk.xsl
XSL_HTML_SINGLE  = $(lib_dir)/vk-html-single.xsl


default:
	@echo ""
	@echo "Choose a target from:"
	@echo "valid:      validate all xml docs"
	@echo "manual:     generate chunked html for the manual"
	@echo "standalone: generate the 'about' html files"
	@echo "clean:      remove all generated html files"
	@echo ""

all: clean manual standalone


valid:
	$(XMLLINT) $(XMLLINT_FLAGS) $(xml_dir)/index.xml


# single html files for the 'about' dialog
standalone:
	@echo "Generating standalone 'about' files..." ; \
  file_list='$(ABOUT_FILES)'; \
  for file in $$file_list; do \
	  echo "  processing file: $$file.xml" ; \
    $(XSLTPROC) $(XSLTPROC_FLAGS) -o $(html_dir)/$$file.html $(XSL_HTML_SINGLE) $$file.xml ; \
	done

# chunked html
manual:
	@echo "Generating chunked manual files..."
	export XML_CATALOG_FILES=$(XML_CATALOG_FILES)
	cp $(lib_dir)/valkyrie.css $(html_dir)
	$(XSLTPROC) $(XSLTPROC_FLAGS) -o $(html_dir)/ $(XSL_HTML_CHUNKED) $(MANUAL)


clean:
	rm -rf $(html_dir)/*.html

=== debian/changelog ===
valkyrie (2.0.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:22 +0000

valkyrie (2.0.0-1) unstable; urgency=low

  * New upstream release (closes: #559620, #604507, #625176, #640178).
  * New maintainer (closes: #673651).
  * Update Standards-Version and sync with Ubuntu Quantal.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 21 May 2012 13:02:42 +0000

valkyrie (1.4.0-2) unstable; urgency=low

  * Shell compatibility fixes (Closes: #543108)

 -- Hai Zaar <haizaar@haizaar.com>  Wed, 02 Sep 2009 23:56:00 +0300

valkyrie (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #372268)

 -- Hai Zaar <haizaar@haizaar.com>  Wed, 06 May 2009 14:48:00 +0300

=== debian/control ===
Source: valkyrie
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, valgrind (>= 3.6.0), quilt
Standards-Version: 3.9.3
Homepage: http://www.open-works.co.uk/projects/valkyrie.html

Package: valkyrie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: valgrind (>= 3.6.0)
Description: open-source graphical user interface for the Valgrind
 Valkyrie is an open-source graphical user interface for the Valgrind
 3.6.X line. Valkyrie uses the Qt widget library, and is based on
 Valgrind`s XML output capabilities. Valkyrie is designed for simplicity
 and ease of use, whilst allowing access to the full range of Valgrind
 command-line options.
 .
 Currently, Valkyrie supports Memcheck only, although work is in progress
 to handle Cachegrind and Massif.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php #PACKAGE#-(.*)\.tar\.gz
http://www.valgrind.org/downloads valkyrie-(.*)\.tar\.bz2

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/#PACKAGE#-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/#PACKAGE#-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/#PACKAGE#/#PACKAGE#-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html #PACKAGE#-(.*)\.tar\.gz
